package org.gcube.portlets.user.geoportaldataentry.client;

/**
 * The Enum ConcessioniFormCardTitle.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 *         Nov 30, 2020
 */
public class ConcessioniFormCardTitle {

	private String key;
	private String title;
	private Integer order;
	private boolean internalRepeatibleForm;
	private Integer maxFormRepeatability;
	private Integer minFormRepeatability;

	/**
	 * Instantiates a new concessioni form card title.
	 *
	 * @param key                    the key
	 * @param title                  the title
	 * @param order                  the order
	 * @param internalRepeatibleForm the internal repeatible form
	 * @param maxFormRepeatability   the max form repeatability
	 */
	public ConcessioniFormCardTitle(String key, String title, int order, boolean internalRepeatibleForm,
			Integer minFormRepeatability, Integer maxFormRepeatability) {
		this.key = key;
		this.title = title;
		this.order = order;
		this.minFormRepeatability = minFormRepeatability;
		this.internalRepeatibleForm = internalRepeatibleForm;
		this.maxFormRepeatability = maxFormRepeatability;
	}

	/**
	 * Gets the key.
	 *
	 * @return the key
	 */
	public String getKey() {
		return key;
	}

	/**
	 * Gets the title.
	 *
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Gets the order.
	 *
	 * @return the order
	 */
	public Integer getOrder() {
		return order;
	}

	/**
	 * Checks if is internal repeatible form.
	 *
	 * @return true, if is internal repeatible form
	 */
	public boolean isInternalRepeatibleForm() {
		return internalRepeatibleForm;
	}

	/**
	 * Gets the max form repeatability.
	 *
	 * @return the max form repeatability
	 */
	public Integer getMaxFormRepeatability() {
		return maxFormRepeatability;
	}

	public Integer getMinFormRepeatability() {
		return minFormRepeatability;
	}

	public void setMinFormRepeatability(Integer minFormRepeatability) {
		this.minFormRepeatability = minFormRepeatability;
	}

}
